Bug 144932 - ispec max memory config only creates a 2 GB swap partition, system has 12gig physical memory
Summary: ispec max memory config only creates a 2 GB swap partition, system has 12gig ...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: ispec (Show other bugs)
(Show other bugs)
Version: 1.8
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Will Woods
QA Contact: Richard Li
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-12 20:04 UTC by Gregg Shick
Modified: 2007-04-18 17:18 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-17 23:02:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
meminfo dump (644 bytes, text/plain)
2005-01-12 20:05 UTC, Gregg Shick
no flags Details

Description Gregg Shick 2005-01-12 20:04:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
ispec: ispec-0.95-1.8rc1.noarch.rpm
rhr2:  rhr2-rhel4-0.9-16.rc1a.noarch.rpm

I am testing ispec on a unit with 12GB of physical memory. When I 
install the OS via any of the ks files (tried the min and max memory 
ks configs) only a 2GB swap file is created in the OS.  

In the past with RH3, we created a swap paritition that was at least 
2x the size of physical memory specifically for the CORE test. 

Will the core test run properly with this size swap partitition 
w/redhat 4?  

Version-Release number of selected component (if applicable):
rhr2-rhel4-0.9-16.rc1a.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1.Create ispec configuration entering 12GB for memory amount.  
2.Install os via ks file from either min or max config.  
3. I checked swap size from /proc/meminfo, only a 2 GB swap file has 
been created.  
    

Expected Results:  I was expecting a swap file that was at least 
equal to the size of physical memory, but preferable 2x physical. 

Additional info:

Comment 1 Gregg Shick 2005-01-12 20:05:52 UTC
Created attachment 109690 [details]
meminfo dump

Comment 2 Will Woods 2005-01-13 16:22:12 UTC
Partitioning is done automatically, so your swap partition should be
the (anaconda-recommended) appropriate size for your machine. As far
as we know, the test will run just fine with that amount of swap.

If it doesn't run, feel free to change the kickstart configuration to
specify the needed amount of swap. Add the line:

partition swap --size=12288 (or some other size, as you deem necessary)

after the 'autopart' line in the appropriate ks.cfg file, then restart
the test. You'll need to mention this change when you submit the test
results.


Note You need to log in before you can comment on or make changes to this bug.